#
# spec file for package python3-ec2metadata
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define upstream_name ec2metadata
Name:           python3-ec2metadata
Version:        3.0.3
Release:        3.6.1
Summary:        Collect instance metadata in EC2
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/SUSE-Enceladus/ec2metadata
Source0:        %{upstream_name}-%{version}.tar.bz2
Requires:       python3
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

# Package renamed in SLE 12, do not remove Provides, Obsolete directives
# until after SLE 12 EOL
Provides:       python-ec2metadata = %{version}
Obsoletes:      python-ec2metadata < %{version}

%description
Collect instance meta data in Amazon Compute CLoud instances

%prep
%setup -q -n %{upstream_name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/ec2metadata.1 %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/ec2metadata.1

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_mandir}/man*/*
%dir %{python3_sitelib}/%{upstream_name}
%dir %{python3_sitelib}/%{upstream_name}-%{version}-py%{py3_ver}.egg-info
%{_bindir}/*
%{python3_sitelib}/%{upstream_name}/*
%{python3_sitelib}/*egg-info/*

%changelog
* Mon Aug  3 2020 rjschwei@suse.com
- Update to version 3.0.3 (bsc#1174743, bsc#1174837)
  + Prefer IMDSv2 and switch all IMDS access requests to support v2 token
    based access method.
* Wed Dec  4 2019 rjschwei@suse.com
- Update to version 3.0.2 (bsc#1157901, bsc#1157902)
  + Add man page
  + Support accessing IMDS with a token (API change) to support
    disabling unauthenticated acces of IMDS
* Wed Sep 20 2017 rjschwei@suse.com
- Update to version 2.0.0
  + Port to Python 3
* Wed Aug 17 2016 jgleissner@suse.com
- Bump to version 1.5.4 (bsc#994138 bsc#994139)
  + ec2metadata: do not use proxy
* Tue Mar 31 2015 rjschwei@suse.com
- Bump to version 1.5.3 (bnc#924626)
  + Properly write metadata to file if no query argument is provided
  + Properly generate XML for 'public-keys' query option
  + Document the 'api' option in the help message
  + Alpha sort the options displayed with the help message
* Wed Aug 13 2014 rschweikert@suse.com
- Bump to version 1.5.2
  + fix the no argument use case
* Mon Jun 23 2014 rschweikert@suse.com
- Switch the upstream URL to the forked project, origin project
  appears not to be maintained
* Fri May 30 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #315990)
* Fri May 30 2014 rschweikert@suse.com
- Initial build
